Subject: Re: [PATCH net] xsk: respect the offsets when copying frags

From: Jakub Kicinski <[email-masked]>
Date: Thu, 24 Apr 2025 17:29:05 -0700

On Wed, 23 Apr 2025 17:10:47 +0700 Bui Quang Minh wrote:
> Add the missing offsets when copying frags in xdp_copy_frags_from_zc().
> 
> Fixes: 560d958c6c68 ("xsk: add generic XSk &xdp_buff -> skb conversion")
> Signed-off-by: Bui Quang Minh <[email-masked]>

I think the fix is right but I dislike the use of netmem here :(
Could we switch back to page_pool_dev_alloc() ?
Allocating a netmem to immediately call __netmem_address() is strange.
At least to me. Because netmem is supposed to be potentially unreadable.
And using normal page allocation will avoid the confusion and bug we're
dealing with now.

As Stanislav pointed out this function is not used anywhere today,
so let's target the rewrite to net-next and explain in the commit 
message where the bug comes from and why it doesn't need to be
backported (and drop the Fixes tag)?